Arbeiten mit WPIPTC

WPIPTC dient zum Erstellen und Bearbeiten von IPTC/NAA Metadaten in JPEG- und Tiff-Bildern. Es ist dafür ausgelegt, große Mengen von Bildern zu verarbeiten. Als Oberflächen-Schnittstelle dient FixFoto®, welches auch mit ActiveScript die Basisplattform des Programms ist.

Mit Hilfe von ausklappbaren Listen, im Benutzerhandbuch Combo-Boxen genannt, können häufig auftretende Werte gespeichert und einfach wieder abgerufen werden. Die Check-Boxen markieren die Felder, die auf andere Bilder durch geschrieben werden sollen. Durchschreiben deshalb, weil die entsprechenden Informationen ohne Rückfrage ersetzt werden, wie bei einem Pauspapier.

Mit der IPTC-Stapelverarbeitung können einfach Informationen von Exif nach IPTC und zurück transportiert, sowie Schlagwörter oder Kategorien gezielt ergänzt, gelöscht oder in zwei Verfahren ersetzt werden.

Eine einfache Navigation mit Suche nach Dateinamen, -positionen oder Schlüsselwörtern (Schlagwörter) runden das Paket ab.

Copyright © 2005-2010, Werner Pilwousek Software


Vorwort

Dokument-Version 1.4: 26.04.2010

WPIPTC

für Joachim Koopmanns FixFoto®

Version 1.26

von

Werner Pilwousek

WPIPTC ist aus der Anfrage des FixFoto®-Forums entstanden, IPTC/NAA bequem zu erzeugen und zu bearbeiten. Im Laufe der Zeit wurden die Funktionen immer vielfältiger, die Wünsche dazu immer ausgefallener. Obwohl weitgehend auf die Skript-Funktionen von FixFoto® ActiveScript abgestützt, basieren doch viele Funktionen auf eigenen Entwicklungen. Deshalb hatte ich mich entschlossen, die Funktionalität von WPIPTC auf zwei Gruppen aufzuteilen. Eine Standardfunktionalität, die jeder FixFoto®-Anwender verwenden kann, sowie professionelle Funktionalität, die das effiziente Arbeiten mit WPIPTC und vielen Spezialfunktionen erleichtert. Da die Implementierung teilweise recht aufwändig ist, habe ich mich entschlossen, diesen Aufwand nicht selbstverständlich für Jedermann zur Verfügung zu stellen, sondern nur der Gruppe, deren Mitglieder das auch zu schätzen wissen und eine Gegenleistung dafür bieten.


Systemvoraussetzungen

Betriebssystem: | Windows 2000, XP oder Vista
Laufzeitumgebung: | 1.) FixFoto ab Version 2.91 Release 2.) Windows Scripting Host ab Version 5.6
PC: | empfohlen: CPU ab 1500 MHz für größere Projekte
Grafik: | mindestens: TrueColor ab 1024 x 768 oder 1280 x 800


Installation

  • Laden Sie WPIPTC.zip über folgende Internetadresse:
    http://www.pilwousek.de/fixfoto/programme/WPIPTC.zip
  • Starten Sie nun FixFoto®
  • Öffnen Sie das Menü „Datei“
  • Wählen Sie den Menüpunkt „Importieren“
  • Wählen Sie aus dem Untermenü den Menüpunkt „Skript importieren“
  • Wählen Sie im Öffnen-Dialog die Datei WPIPTC.zip aus
  • Bestätigen Sie das Öffnen der Datei
  • WPIPTC wird nun automatisch installiert. Sowohl bei Neuinstallation, als auch bei Updates.


Programmstart

Über folgende Möglichkeiten kann WPIPTC in FixFoto gestartet werden:

  • Aufgabenbereich (F9)
  • Skript-Dialog (F10)
  • Skript-Editor (F11)
  • Kontextmenü Vorschaubilder
  • Kontextmenü Bilderliste (Markierte Bilder aus der aktuellen Liste)
  • Zugewiesenes Tastaturkürzel (Strg + 1 bis Strg + 9)

Im Skript-Menübaum ist das Skript wie folgt zu finden:

Beispiel 1:

Beispiel 2:

Hinweis:

Wird das Skript und ein Tastaturkürzel markiert, kann das Kürzel mit „Taste belegen“ zugewiesen werden. Hier: Strg + 7


FixFoto® - Vorbereitungen

  • Starten Sie FixFoto
  • Markieren Sie die Bilder, die Sie bearbeiten wollen
  • Starten Sie WPIPTC
Tipp: | Wollen Sie Bilder aus einer Bilderliste verarbeiten, starten Sie WPIPTC aus dem Kontextmenü der Bilderliste. Alle markierten Bilder darin werden geladen.
Tipp: | Sind keine Bilder markiert, werden alle Bilder des aktuellen Verzeichnisses in WPIPTC geladen
Hinweis: | Sind in der Standard-Version keine Bilder im Verzeichnis vorhanden (TIFF oder JPG), so wird WPIPTC sofort wieder geschlossen.
WPIPTC-Pro | Sind keine Bilder im Verzeichnis vorhanden, erscheint der Verzeichnisauswahldialog. Siehe WPIPTC Pro: ð Spezial: Unterverzeichnisse einschließen...


Navigation

WPIPTC bietet komfortable Möglichkeiten, sich durch den geladenen Bildbestand zu bewegen:

Springt zum ersten Bild

10 Bilder zurück blättern

1 Bild zurück blättern

Status- und Eingabefeld für Sprungziele

Findet das nächste Bild, deren Schlüsselwörter eines der Suchworte der Eingabezeile entsprechen. Mehrere Suchwörter können mit Semikolon „;“ getrennt sein.
Beispiel: Brunnen;Wasser;Fisch

Es gibt 2 Möglichkeiten der konventionellen Suche:
    • Dateisuche:

Ist der Suchtext im Eingabefeld alphanumerisch, so wird das nächste Bild angesprungen, dessen Dateiname das Suchwort enthält
    • Postionssuche:

Ist der Suchtext im Eingabefeld numerisch, so wird die entsprechende Position des Bildes im geladenen Bildbestand angesprungen.

Hinweis:

Wird in der Dateisuche nur nach Zahlen gesucht, so müssen die Zahlen in doppelte Anführungszeichen eingeschlossen sein.
Beispiel 1: "25" findet Bild0025, IMG_0025, IMG_0225 etc.
Beispiel 2: 25 springt zum 25. Bild des geladenen Bestandes
Beispiel 3: Bild2 findet Bild2, Bild200, Bild2008_Ausflug etc.

1 Bild vorwärts blättern

10 Bilder vorwärts blättern

Springt zum letzten Bild


Allgemeine Datenhandhabung

Die Idee ist recht einfach: Das was ich sehe steht im Bild. Wird also ein Bild geladen bzw. geblättert, so werden immer die aktuellen Daten angezeigt.

Änderungen der Daten werden immer dann physikalisch auf das Speichermedium übertragen, wenn geblättert, gesucht, die IPTC-Stapelverarbeitung aufgerufen, explizit gespeichert, der Dialog geschlossen wird oder Felder auf mehrere Dateien durchgeschrieben werden.

Dabei ist folgendes zu beachten: Ist [image] markiert, wird ohne Rückfrage gespeichert. Ansonsten kann das Speichern der Daten mit der Schaltfläche „Nein“, die Aktion mit „Abbrechen“ abgebrochen und natürlich das Speichern mit „Ja“ bestätigt werden:


Daten auf viele Bilder übertragen

Hat man ein Bild datentechnisch erfasst, so kann man den Inhalt auf viele Bilder übertragen. Da nicht alle Daten auf alle Bilder passen, kann man festlegen, welche Daten auf die Bilder durchschreiben. „Durchschreiben“ deshalb, weil alle markierten Daten kommentarlos die entsprechenden Daten der Bilder ersetzen, also wie mit einem Pauspapier durch geschrieben wird. Es wird also nicht ergänzt oder ausgelassen, wenn bereits Daten in dem entsprechenden Feld bereits Daten sind.

Die dafür zuständige Markierung befindet sich jeweils vor dem entsprechenden Datenfeld und ist über eine „Checkbox“ gelöst:

Gehen Sie also wie folgt vor:

  • Markieren Sie alle Daten, die Sie auf mehrere Bilder übertragen wollen durch Klick auf die zuständige Checkbox.
  • Löschen Sie die alle Markierungen der Daten, die Sie nicht übertragen wollen, durch anklicken, bis die Checkbox leer ist.
  • Mit [image] starten Sie die Aktion
  • Legen Sie im Dialog fest, wie weiter vorzugehen ist

  • Sie können nun auswählen, ob alle Bilder, alle folgenden oder eine bestimmte Anzahl folgender Bilder überschrieben werden.
  • Das Vorschaubild im Dialog zeigt Ihnen das letzte Bild, in dem die Daten geschrieben werden. Es kann mit Klick auf das Vorschaubild 2 größere Versionen des Bildes angezeigt werden.
  • Die Statuszeile zeigt den Aufnahmezeitpunkt und den Dateinamen des als letztes zu verarbeitenden Bildes an
  • Mit [image] stoßen Sie den Vorgang an
  • Während des Schreibvorgangs können Sie den Fortschritt in der Statuszeile verfolgen
Hinweis: | Mit ESC können Sie den Vorgang abbrechen
Hinweis: | Treten während des Schreibvorgangs Probleme auf, so werden Sie am Ende in einem speziellen Dialog angezeigt; mit Angabe von Datei und Ursache des Problems.


Wiederkehrende Daten zur erneuten Verwendung speichern

In der Standard-Version stehen Ihnen für alle wichtigen Datenfelder Combo-Boxen zur Verfügung, die Sie teilweise selbst bestücken können. Unwichtig gewordene Daten können auch wieder entfernt werden. Eine Auswahl eines Eintrags im aufgeklappten Zustand wählt den Eintrag aus. Bei einigen Combo-Boxen können Sie statt des Eintrags ein Stichwort vergeben.

WPIPTC-Pro:

Mit der Pro-Version können Sie auch markierte Datenfelder als auch komplette Datensätze kopieren, einfügen, löschen, unter einem Stichwort abspeichern und wieder in Bilder einfügen.

Es gibt folgende Konstellationen:

 | Einfacher Typ
 | Typ mit Stichwortvergabe
 | Typ mit Stichwortvergabe und Bearbeitungsmöglichkeit
 | Kategorie-Typ: Trägt komplette Liste ein
Handhabung der Daten-Container:
 | Fügt den Inhalt des Datenfeldes der Liste hinzu
 | Fügt den Inhalt des Datenfeldes einem Speicherbereich zu. Dieser Bereich wird über ein Stichwort adressiert, das bei Speichern vergeben wird.
 | Öffnet folgenden Dialog zum bequemen Bearbeiten oder Einfügen der Listenelemente.
 | Fügt Listenelement oder bei den erweiterten Containertypen den im Speicherbereich des dargestellten Stichwortes in das Datenfeld ein.
 | Löscht das aktive Listenelement. Bei den erweiterten Containertypen wird auch der zugewiesene Speicherbereich gelöscht.
 | Trägt alle Elemente der angezeigten Kategorie ein, die mit der Schlagwortsuche von FixFoto® erzeugt wurde.


Bildinformationen

Um ein Bild zu beschreiben sind oft mehr Informationen nötig als nur das angezeigte Bild. Dafür ist die Anzeigegruppe [image] zuständig:

  • Datei-Name:

Dateiname des Bildes
  • Pfad:

Pfad in dem das Bild gespeichert ist (Wird auch im Eingabefeld der Navigation angezeigt)
  • Auflösung:

Größe des Bildes in Pixeln (Breite x Höhe)
  • Größe:

Größe des Bildes in Bytes
  • Exif:

Zeigt an, ob das Bild Exif-Daten enthält
  • Kamera:

Kamera (Exif-Tag Model)
  • Exif-Zeit:

Zeigt die Aufnahmezeit an, sofern vorhanden
  • Vorschaubild:

Zeigt das FixFoto®-Vorschaubild des aktuellen Bildes an. Ein Klick auf das Vorschaubild zeigt eine größere Version des Bildes in einem eigenen Dialog an.


Zeichensätze

IPTC-Daten werden auf verschiedenen Computerplattformen geschrieben und gelesen. Nicht alle Plattformen sprechen dieselbe „Sprache“. Das heißt, es gibt Zeichen des verwendeten 256 Zeichen umfassenden Zeichensatzes auf den beiden Hauptplattformen, die unterschiedliches Aussehen und Bedeutung auf der jeweils anderen Plattform haben.

Unter dem Betriebssystem Microsoft Windows® laufende Programme nützen meist einen über Ländercode bestimmten ANSI-Zeichensatz, der Einfachheit halber „PC“ genannt. In Deutschland ist das in der Regel die Codepage CP1252. Bilderdienste verwenden heutzutage aber überwiegend ISO 8859-15 oder UTF-8, die Presse meist MacRoman (Westeuropäisch) und Windows-Fotogalerie(XP/Vista) den auf dem PC eingestellten Zeichensatz. Nach den neuen Metadatenregeln, die 2008 verabschiedet wurden, sollte UTF-8 verwendet werden.

WPIPTC beherrscht die Transformation für verschiedene Datensätze, sofern das System sie unterstützt. Die möglichen Zeichensatz-Sets sind in der IPTC.ini definiert. Auch die entsprechenden Escape-Sequenzen, die ein automatisches Umschalten der Darstellung möglich machen, sind dort definiert. Diese jedoch können variieren und es ist mit dem Verantwortlichen für das Zielsystem abzusprechen, welche Escape-Sequenzen verwendet werden sollen.

Die Zeichensätze können in der Anzeigegruppe [image] eingestellt werden. Dies sollten aber nur fortgeschrittene Anwender verwenden, die mit den Funktionen auch schon mal experimentiert haben. Bei mehrmaliger Anwendung der Konvertierung können Umlaute zerstört werden:

Schaltet die Konvertierungsautomatik beim Laden und Speichern an oder aus

Legt den Zeichensatz beim Laden des Bildes fest. Auto bedeutet, dass über Escape-Sequenzen festgestellt wird, welcher Zeichensatz zur Anwendung kommt

Legt den Zeichensatz beim Speichern des Bildes fest. Auto bedeutet, dass der gleiche Zeichensatz, wie beim Laden zur Anwendung kommt

Zeigt den aktuell verwendete Zeichensatz an.

Dieser kann hier auch umgeschaltet werden. Dabei können Sie festlegen, ob der Datenstamm nachgeladen wird oder die aktuelle Maske bleiben soll.

Antworten Sie hier mit "Ja", wenn vor der Aktion merkwürdige Zeichen im Dialog zu sehen waren, mit Nein, wenn alles richtig angezeigt wird.

Es kann jedoch nach einer Umschaltung nur mit dem neuen Zeichensatz gespeichert werden, wenn auch Änderungen an den Daten durchgeführt werden.

Folgende Zeichensätze sind vordefiniert:

;IPTC.ini

;©2003-2009 Werner Pilwousek

[Dialog]

...

[cmbCaptionAbstract]

...

[cmbSpecialInstructions]

...

[CodePages]

DefaultIn=0

DefaultOut=0

;Code(0).CodePage=0

;Code(0).ShortName=PC

;Code(0).Name=PC-Codepage

;Code(0).Escape=

Code(1).CodePage=20127

Code(1).ShortName=US-ASCII

Code(1).Name=US-ASCII

Code(1).Escape=2/8,4/2

Code(2).CodePage=28591

Code(2).ShortName=ISO-8859-1

Code(2).Name=Westeuropäisch (ISO-8859-1)

Code(2).Escape="2/12,4/1;2/13,4/1;2/14,4/1;2/15,4/1"

Code(3).CodePage=28605

Code(3).ShortName=ISO-8859-15

Code(3).Name=Westeuropäisch (ISO-8859-15)

Code(3).Escape="2/12,6/2;2/13,6/2;2/14,6/2;2/15,6/2"

Code(4).CodePage=10000

Code(4).ShortName=MacRoman

Code(4).Name=Westeuropäisch (Macintosh)

Code(4).Escape=2/5,7/3

Code(5).CodePage=65001

Code(5).ShortName=UTF-8

Code(5).Name=Unicode (UTF-8)

Code(5).Escape=2/5,4/7

Der Aufbau der INI-Zeilen ist objektorientiert. Dadurch können zusammenhängende Datensätze generiert werden.

Dabei werden die Zeichensätze von 0 aus startend lückenlos durchnummeriert. Dabei muß der Datensatz "0" jedoch nicht in der iptc.ini stehen. Er wird nicht ausgelesen und ist immer definiert.

Der Präfix des Schlüsselworts, sprich Zeichensatz-Datenset, setzt sich dabei immer aus "Code(Positionsnummer)" zusammen.

Die Suffixe, sprich Eigenschaften eines Datensatzes bedeuten:

.CodePage

Die Zahl, die an das System übergeben werden muss, damit dieser Zeichensatz von oder zu Unicode übersetzt wird.

.ShortName

Wird in den Comboboxen angezeigt

.Name

Der Zeichensatzname

.Escape

Die Sequenz, die nach dem Escape-Zeichen kommt und notwendig ist, um automatisch umzuschalten.

Bis zu vier Sequenzen können definiert werden. Die erste Sequenz wird gewöhnlich zum Speichern verwendet.

Ist der IPTC-Datensatz mit einem der anderen Datensätze gekennzeichnet, wird dennoch die richtige Codepage angewandt. Pro Zeichensatz können bis zu vier Sequenzen definiert sein.

Die Schreibweise ist mit der von IPTC/NAA bekannten Definitionen identisch.

Die einzelnen Bytes sind per Komma getrennt.

Beispiele:

2/5,4/7 = 25h 47h = {ESC/20h} %G = UTF-8

2/12,4/1 = 2Ch 41h = {ESC/20h},A = ISO-8859-1 (Slot G0)

Hinweis:

Mit WPIPTC kann nur ein Zeichensatz pro Datei als Standard definiert werden. Ein Umschalten der in IPTC/NAA möglichen vier Zeichensätze innerhalb der Daten mittels Escapesequenzen ist nicht möglich.


Einstellungen

Sie können grundlegende Merkmale von WPIPTC festgelegen.

Schlagwörter sortieren

Wer die Übersicht behalten will, wird diese Funktion einschalten. Die Schlagwörter werden dann alphabetisch sortiert. Einige Bilddatenbanken lesen die Wichtigkeit eines Schlagwortes jedoch von der Position des Schlagwortes ab. Wenn man mit diesen Systemen arbeitet, sollte man die Sortierung ausschalten.

Dateizeit

Jede Änderung in einer Datei sollte über die Anpassung der Dateizeit festgehalten werden. Dies ist ein elementarer Grundsatz. Jedoch legen einige Anwender in dem Dateiänderungsdatum den Aufnahmezeitpunkt fest, um danach im Windows®-Explorer danach sortieren zu können. Spätestens ab Windows® Vista ist das jedoch nicht mehr nötig, so dass dieser Punkt immer aktiv sein sollte.

Bereich für Ersetzungen

WPIPTC-Pro:

Dieser Bereich ist der Pro-Version vorbehalten

Über Kürzel kann man sehr schnell Daten in alle frei gegebenen Datenfelder eintragen. Die Kürzel, deren Ersetzungen, Bereiche und die Trennzeichen werden in einer speziellen Datei definiert. In den Einstellungen kann man diese Funktion nur schnell ein-/ausschalten bzw. den aktiven Bereich aktivieren.

Wird z.B. gerne in der Sportfotografie eingesetzt. Ich nütze dies z.B. für Personen, die oft in Bildern vorkommen. Näheres im Pro-Bereich des Handbuchs.


Datengruppen

Um den Überblick über die vielfältigen Daten zu behalten, die IPTC bietet, sind die Datenbereiche in mehrere Gruppen zusammengefasst. Es folgt eine Auflistung der Gruppenbezeichnungen in WPIPTC und FixFoto®

WPIPTC | FixFoto® IPTC Informationen
Objekt | Caption
Suchen | Keywords
Rechte | Credits
Kategorien | Category
Herkunft | Origin


Gruppe: Objekt

Die Gruppe „Objekt“ fasst alle Bildbeschreibungen zusammen

Überschrift (Headline)

Benennt das Bild in kurzen Worten (einzeilig)

Objektbeschreibung (Caption/Abstract)

Beschreibt den Inhalt des Bildes und gibt Details dazu an. Bei Gruppenfotos z. B. Die Position der einzelnen Personen

Fotograf (Writer/Editor)

Der Künstler hinter der Kameralinse

Copyright

Informationen zu den Bildrechten

Besondere Hinweise (Special instructions)

Hier können Informationen von Agenturen stehen, zu Rechten, Kontaktinformationen des Fotografen etc.


Gruppe: Suchen

Schlüsselwörter (Keywords)

Mit Schlüsselwörtern, in FixFoto® auch Schlagwort genannt, kann man die Bilder mit eingehenden kurzen Begriffen beschreiben, so dass Suchalgorithmen greifen. Die technische Trennung der Schlüsselwörter erfolgt durch den Zeilenvorschub, der mit der Taste Enter erzeugt wird. Da teilweise viele Begriffe pro Bild verwandt werden, geht die Bedienung dieses Bereichs über die normale Bedienung von Datenfeldern in WPIPTC hinaus. Deshalb wird hier näher darauf eingegangen:

Normaler einfacher Containertyp

Automatikcontainer: Alle Schlagworte, die in einer WPIPTC-Sitzung eingetragen werden, werden hier abgelegt. Dieser Speicher wird automatisch mit dem Schließen von WPIPTC gelöscht

Trägt alle Schlagworte in das Bild ein, die im zuletzt aktiven Bild standen, in das Datenfeld Schlüsselwörter ein.

Dieser Bereich ist nur aktiv, wenn die Schlagwortsuche von FixFoto® installiert wurde. Man kann damit auf die Daten der Schlagwortsuche von FixFoto® zugreifen. Herzlichen Dank an Joachim Koopmann hierbei, der den Zugriff darauf genehmigt hat. Die einzelnen Elemente folgen in den kommenden Aufzählungen. Auf die Daten der Schlagwortsuche erfolgt ein reiner Lesezugriff!

Schlagwortgruppe der Schlagwortsuche

Schlagwortkategorie der Schlagwortsuche. Mit dem grünen Pfeil werden alle Schlagworte dieser Kategorie in das Bild eingetragen

Schlagwortauswahl der aktuellen Kategorie

WPIPTC-Pro:

Die folgenden Features stehen in der Standard-Version nicht zur Verfügung

Blendet den großen WPIPTC-Dialog und öffnet folgenden kleinen Dialog nur für die Schlagworte:

Die Wirkung der Elemente dieses Dialog sind identisch zum großen Dialog. Wird der Dialog geschlossen, so erscheint wieder der normale Dialog.

Tipp:

Ist der Schlagwort-Dialog aktiv, so wird automatisch das aktuelle Bild in FixFoto® geladen und angezeigt. Der kleinere Dialog verdeckt den Anzeigebereich in geringerem Maße als der große Dialog. Man kann so in das Bild mit dem Scrollrad des Zeigegerätes in das Bild rein und raus zoomen, um z.B. Gesichter eines Gruppenfotos leichter zu erkennen.


Gruppe: Rechte

Die Gruppe „Rechte“ fasst alle Quellen- und Verwertungsangaben zusammen

Autor (By-Line)

Name des Anwenders, der das Bild verschlagwortet hat

Autoren-Titel (ByLine Title)

Z. B. Lektor etc.

Rechte (Credit)

Personen, die Rechte an dem Bild haben. Diese Personen müssen also gefragt werden, wenn das Bild veröffentlicht werden soll

Quelle (Source)

Name, Verein oder Firmenname, woher das Bild bezogen wurde. Dies muss nicht immer der Fotograf sein.


Gruppe: Kategorien

Kategorien sollten nicht mehr verwendet werden. In der IPTC-Core-Definition ist diese Gruppe nicht mehr erwünscht, in späteren IPTC-Versionen (IPTC Core 1.0 für XMP) gibt es sie schlicht nicht mehr. Statt dessen sollen Schlüsselwörter verwendet werden. Da aber viele Bilder noch Kategorien enthalten und einige Agenturen diese auch noch verwenden, ist dieser Block auch in WPIPTC enthalten.

Kategorie (Category)

Haupt-Kategorie, die aus zwei oder drei Buchstaben besteht

Weitere Kategorien (Supplemental Categories)

Hier können Unterkategorien definiert werden. Die Länge ist auf 32 Zeichen pro Eintrag begrenzt

Dringlichkeit (Urgency)

Kennzeichnet, wie schnell die Information, das Bild, verarbeitet werden muss, damit es die Authentizität behält. Die Dringlichkeit erschließt sich über acht Stufen von „Niedrig“ über „Normal“ bis „Höchste“.


Gruppe: Herkunft

Die Gruppe „Herkunft“ beschreibt den lokalen Ursprung eines Bildes. FixFoto® unterstützt ab Version 2.91B76 IPTC-Core 1.0. Da WPIPTC auf die Skriptfunktionen von ActiveScript aufsetzt, stellt es den Teil dar, den FixFoto® unterstützt.

Objektname (Objectname)

Dieses Feld wird unterschiedlich genutzt. Einige Programme tragen hier den ursprünglichen Dateinamen des Bildes ein. Man kann aber auch den Namen eines Objekts eintragen, wenn man Ihn kennt. Dies steht jedoch meist schon in der Überschrift oder Objektbeschreibung

Erstellungsdatum (Date created)

Man kann aus dem Exif-Bereich das Datum übernehmen, oder auch den aktuelle Zeitpunkt. In der Regel wird der Aufnahmetag eingetragen.

Erstellungszeit (Time created)

Man kann aus dem Exif-Bereich die Zeit übernehmen, oder auch den aktuelle Zeitpunkt. In der Regel wird der Aufnahmetag eingetragen. Es ist darauf zu achten, dass auch der Zeitversatz der Zeitzone zur Weltzeit (UTC) eingetragen wird, sonst erscheint eine Fehlermeldung

Ort (City)

Ortschaft der Aufnahme

Ortsteil (Sublocation)

Detailliertere Ortsangaben

Staat/Region (Province/State)

Bundesstaat, Bezirk, Landschaftsbereiche etc. in der das Bild geschossen wurde

Land (Country)

Land dieser Erde, in der das Bild aufgenommen wurde

Ländercode (CountryCode)

Land dieser Erde, in der das Bild aufgenommen wurde

Tipp:

Wird das Land über die Combobox eingestellt, wird auch der Ländercode automatisch gesetzt.

Auftraggeber-Code (Original transmission reference)

Codebezeichnungen von Bildagenturen zur Quellenbestimmung


IPTC-Stapelverarbeitung

Mit der Stapelverarbeitung können Metadaten von Exif nach IPTC und zurück portiert werden. Außerdem können Mehrfachfelder wie „Schlüsselwörter“ oder „Erweiterte Kategorien“ mit Aktionen ergänzt, gezielt gelöscht, ersetzt, sowie mehrere Schlüsselwörter durch ein kombiniertes ersetzt werden. Da die Bereiche nicht immer benötigt werden, kann man sie komplett über die Check-Boxen ein- und ausschalten.

Zeichensatz festlegen

Auch in der Stapelverarbeitung kann man einen Zeichensatz festlegen. Hier erfolgt jedoch keine Trennung zwischen Lesen und Schreiben. Dies ist nötig um Such- und Ersetzungen bzw. Neueintragungen wieder richtig abzuspeichern. Die Stapelverarbeitung arbeitet ja quasi unbeaufsichtigt. Zur Verfügung stehen wieder die beiden Zeichensätze „PC“ und „Mac“.

Multiple Felder

Hier können verschiedene Aktionen durchgeführt werden. Je nach eingestelltem IPTC-Feld werden diese auf „Schlüsselwörter“ oder „Erweiterte Kategorien“ angewandt.

Es stehen für die Werte zwei große Textfelder zur Verfügung. „Alte Werte“ und „Neue Werte“. Je nach dem, welche Felder benötigt werden, werden das eine, das andere oder beide aktiv. Eine Zeile entspricht jeweils einem Eintrag, der abgearbeitet werden muss. Man kann also z.B. Ersetzungen über viele Einträge durchführen.

Aktionen:

Es wird keine Aktion durchgeführt

Es werde Werte dem IPTC-Feld hinzugefügt

Es werden gezielt Werte gelöscht

Es werden alte Werte durch neue Werte ersetzt. Jeweils Werte in der gleichen Zeile bei „Alte Werte“ entsprechen dem Ersetzungswort in „Neue Werte“.

Mehrere Suchwörter mit Semikolon getrennt in der gleichen Zeile werden durch einen Begriff auf der Gegenseite ersetzt.

Transfer Exif <-> IPTC

Hier können zwischen den beiden Metadaten-Standards Daten hin und her geschoben werden. Ein Satz ist frei belegbar. Sechs weitere sind vordefiniert und man legt nur fest, ob keine Aktion, von IPTC nach Exif oder von Exif nach IPTC verschoben wird. Natürlich ist auch dieser Bereich komplett ein- und ausschaltbar, so dass die Einstellungen nicht verändert werden müssen, wenn nur eine andere Aktion durchgeführt wird.

Folgende Transferaktionen sind möglich:

Kein Transfer. Funktion ist ausgeschaltet

Transfer von Exif nach IPTC

Transfer von IPTC nach Exif

Verfügbare Felder des frei belegbaren Datensatzes (Reihenfolge der Combo-Box):

Exif-Feld | IPTC-Feld
ApertureValue | ObjectName
Artist | Urgency
BrightnessValue | Category
Copyright1 | SupplementalCategory
Copyright2 | Keywords
DateTime | SpecialInstructions
DateTimeDigitized | DateCreated
DateTimeOriginal | TimeCreated
ExposureBiasValue | Byline
ExposureIndex | BylineTitle
ExposureProgram | City
ExposureTime | Sublocation
Flash | ProvinceState
Fnumber | Country
FocalLength | CountryCode
ImageDescription | OriginalTransmissionReference
ISOSpeedRatings | Headline
LightSource | Credit
Make | Source
MaxApertureValue | CopyrightNotice
MeteringMode | Caption/Abstract
Model | Writer/Editor
Orientation | SpecialInstructions
ResolutionUnit |
ShutterSpeedValue |
Software |

Fest belegte Felder (Zeilen entsprechen einander):

Exif-Feld | IPTC-Feld
Artist (Exif-Fotograf) | Writer/Editor (IPTC-Fotograf)
Copyright1 (Exif-Copyright) | CopyrightNotice (IPTC-Copyright)
ImageDescription (Exif-Beschreibung) | Headline (IPTC-Überschrift)
UserComment (Exif-Kommentar) | Caption/Abstract (IPTC-Objektbeschreibung)
DateTimeOriginal (Exif-Datum) | DateCreated (IPTC-Datum) TimeCreated(IPTC-Zeit)

Aktuelles Bild schreiben

Führt alle markierten und aktiven Bereiche des Batch-Dialoges am aktuellen Bild aus.

Mehrere Bilder schreiben...

Der Dialog entspricht komplett den Funktionen des Dialogs ð Daten auf viele Bilder übertragen ð „Markierte Felder auf Dateien durchschreiben“


Unterverzeichnisse einschließen

WPIPTC-Pro:

Diese Funktion ist nur in der Pro-Version frei geschaltet

Siehe WPIPTC Pro: ð Spezial: Unterverzeichnisse einschließen...


WPIPTC Pro-Lizenz einrichten

Die Frage wird oft gestellt. Ab der Version 1.21 geht es wesentlich leichter. Dazu folgen Sie den folgenden Anweisungen.

Spezialfunktionen frei schalten

Betätigen Sie die Schaltfläche [image] im Hauptdialog. Nach Erscheinen folgenden Dialoges können Sie entscheiden, ob Sie den Bestellvorgang fortführen oder abbrechen wollen:

Wollen Sie eine Lizenz erwerben fahren Sie bitte mit [image] fort.

Lizenz erwerben

  • Haben Sie die Eingangsdialog mit „Ja“ beantwortet tragen Sie in folgenden Dialog Ihre persönlichen Daten ein, Hier sehen Sie die Daten, die vor eingetragen sind:

  • Lizenztyp: Legen Sie hier fest, ob sie die „Pro“-Funktionen vorab testen oder kaufen wollen
  • Legen Sie dabei fest, wie Sie die Lizenz bezahlen wollen. Es gibt zwei Möglichkeiten:
    • Vorkasse auf Rechnung: Nach der Bestellung erhalten Sie eine Rechnung, nach deren Begleichung Sie die Lizenz erhalten
    • Bankeinzug: In diesem Falle tragen Sie bitte auch die Bankdaten ein.
  • Versand: Hier legen Sie fest, wie die Anfrage weiter geleitet wird:
    • eMail: Alle eingetragenen Daten werden verschlüsselt direkt im Anschluss weiter geleitet. ð Bestellung per eMail
    • Brief: Hierbei werden die Daten an den Drucker weitergeleitet ð Bestellung per Brief
  • Bestätigen Sie den Dialog mir „Ok“

Hinweis: | Es müssen alle relevanten Daten eingetragen werden, sonst erfolgt eine Fehlermeldung.
Tipp: | Wenn Sie per Bankeinzug bestellen möchten, wählen Sie bitte Brief. Somit werden nicht Ihre persönlichen Bankdaten, wenn auch verschlüsselt, über das Internet versendet. Jeder Schlüssel ist zu knacken!
Hinweis: | Bankeinzug ist nur innerhalb der Bundesrepublik Deutschland möglich!

Bestellung per eMail

Hinweis:

Dieser Abschnitt ist nur wichtig, wenn Sie FixFoto® vor Version 2.91Build 53 verwenden. Bei neueren Versionen wird das eMail-Fenster geöffnet.
  • Tragen Sie im Dialog die fehlenden Daten ein. Die meisten Daten sind voreingetragen, welche vom Hauptkonto Ihres Rechners stammen (Beispiel):

  • Ergänzen Sie die fehlenden Daten. Soll ein anderes eMail-Konto verwendet werden, müssen alle Daten von Hand eingetragen werden. Achten Sie auf die richtige Schreibweise, wie Sie auch in Ihrem eMail-Programm hinterlegt haben
  • Aktivieren Sie die Authentifizierung, wenn dies der Postausgangs-Server erfordert (wird meist benötigt)
  • Tragen Sie dann das Kennwort für den Server ein.

Hinweis:

Das Server-Kennwort wird nicht gespeichert und auch nicht übertragen!
  • Bestätigen Sie mit „Ok“ den Versand
  • Sie erhalten eine Meldung, wenn die Lizenzanfrage erfolgreich versandt wurde.

Bestellung per Brief

  • Stellen Sie im Dialog Druckereinstellung Ihren Drucker ein.

Tipp:

Es kann auch ein PDF-Drucker eingestellt werden, sofern er installiert ist. Somit haben Sie nachher noch selbst ein Exemplar Ihrer Daten.
  • Mit Bestätigen der Druckereinstellung wird Ihre Lizenzbestellung gedruckt
  • Ist der Druckvorgang beendet wird dies wie folgt angezeigt:

  • Unterschreiben Sie die Bestellung und versenden Sie sie als Brief. Auf der Bestellung können Sie bei Bedarf auch noch entsprechende Hinweise hinterlassen, oder ein Beiblatt anfügen.

Zahlungsmodalitäten und Versand der WPIPTC Pro-Lizenz

Nach Eingang der Lizenzbestellung, wird eine Rechnung erstellt und Ihnen zugestellt.

Ist die Anfrage per eMail eingegangen, so erfolgt die Rechnungsstellung ebenfalls per eMail. Oder anders herum: Liegt die Bestellung per Brief vor, so erfolgt auch die Rechnungsstellung per Brief.

Zahlungsziel sind 14 Tage nach Erhalt der Rechnung. Die Lizenz wird nach Erhalt des Entgeltes per eMail zugesandt. Je nach Anwesenheit meiner Person geht Ihnen schnellstmöglich die Lizenz zu.

Hinweis:

In Ausnahmefällen, z.B. wenn mir bekannt ist, dass ich längere Zeit nicht dazu komme oder auf Anfrage, wird Ihnen vorab eine vierwöchige Testlizenz erstellt, die Sie verwenden können, bis die Bearbeitung abgeschlossen wurde. Die endgültige Lizenz kann über die Testlizenz installiert werden.

Ist nach 14 Tagen keine Zahlung eingegangen, verfällt der Anspruch auf eine Lizenz.

Hinweis: | Die Lizenz wird ausschließlich per eMail versandt.
Hinweis: | Mit Erhalt der Lizenz erhalten Sie das Recht, die WPIPTC Pro im Sinne des Programms zu nutzen. Sie sind somit nicht Eigentümer des Programms, sondern erhalten lediglich das Recht und die Mittel, alle Funktionen des Programms innerhalb der Grenzen geltenden Rechts zu verwenden. Es ist Ihnen also nicht erlaubt, damit strafbare oder zivilrechtlich relevante Änderungen an Bildern vorzunehmen, die nicht Ihr (geistiges) Eigentum sind oder deren Rechte Ihnen nicht übertragen wurden!

Installation der WPIPTC-Pro-Lizenz

Die Lizenz wird wie das Skript selbst installiert. Siehe ð Arbeiten mit WPIPTC: Installation ab Punkt 2.


Arbeiten mit Dateien

Selektion: Computer-A(nsicht)

Alle selektierten Bilder in der Computeransicht werden in WPIPTC geladen.

Selektion: Bilderliste

Alle selektierten Bilder in der aktuellen Bilderliste werden geladen.

Hinweis:

Sind keine Bilder markiert, so werden alle TIFF und JPEG-Bilder in dem Verzeichnis geladen.


Spezial: Unterverzeichnisse einschließen...

Hinweis:

Ist beim Start von WPIPTC Pro kein, oder kein verwertbares Bild im aktiven Verzeichnis von FixFoto®, so startet das Programm mit diesem Dialog.

Beschreibung der Dialogelemente:

Startverzeichnis: | In FixFoto® ausgewähltes Verzeichnis
 | Neues Startverzeichnis auswählen
Ausschlusspfade: | Verzeichnisse mit folgenden Namen ausschließen. Mehrere Verzeichnisnamen können mit Semikolon „;“ getrennt werden
 | Aktualisiert die verfügbaren Pfade
Verfügbare Pfade: | Alle Unterverzeichnisse werden angezeigt, die ins Schema passen
Ausgewählte Pfade: | Bilder aus diesen Pfaden werden in WPIPTC geladen


Arbeiten mit Datensätzen

In WPIPTC können Sie komplette oder Teil- Datensätze verarbeiten und sogar speichern.

Markieren

Um Festzulegen, welche Daten verarbeitet werden, müssen Sie die Felder markieren, die ersetzt, kopiert oder gelöscht werden sollen. Die dafür zuständige Markierung befindet sich jeweils vor dem entsprechenden Datenfeld und ist über eine „Checkbox“ gelöst: (Analog zu ð Daten auf viele Bilder übertragen )

Feld-Auswahl

Hier kann schnell die Markierung vor den Feldern geändert werden. Möglich sind:

  • Alle: Markiert alle Felder
  • Keine: Löscht die Markierung aller Felder
  • Individuell: Stellt die individuelle Markierung wieder her
  • Umkehren: Kehrt die Markierung aller Felder um

Hinweis:

Sind „Alle“ oder „Keine“ eingestellt und wird ein Feld markiert oder unmarkiert, so wird der individuell gespeicherte Zustand mit den aktuell sichtbaren Werten neu gesetzt und der alte Zustand verworfen!

Satzspeicher

Mit diesem Speicher können schnell ganze Definitionen bearbeitet werden:

Alle markierten Felder werden gelöscht.

Alle markierten Felder werden in den Satzspeicher kopiert.

In allen markierten Felder werden die Daten des Satzspeichers eingefügt.

Speichert die markierten Felder unter einem Stichwort ab.

Stichwort, dass den Datensatz repräsentiert.

Gespeicherten markierten Datensatz löschen

Hinweis:

Der Satzspeicher darf Variablen und Kürzel enthalten. Siehe folgendes Kapitel. ð Arbeiten mit variablen Inhalten


Variable Inhalte vorbereiten

Vorbereiten von variablen Inhalten

Um mit Variablen und Kürzeln arbeiten zu können, muss man die Verarbeitung dafür erst einschalten. Dies geschieht unter Einstellungen: ð Arbeiten mit WPIPTC : Bereich für Ersetzungen

Manuelle Einstellungen (Replace.ini)

Man muss die Felder aktivieren, auf die Variablen und Kürzel angewandt werden sollen. Dies beugt Fehlbedienungen vor und steigert die Arbeitsgeschwindigkeit. Die Definition liegen in der Datei Replace.ini im Programmverzeichnis von WPIPTC. Dieser Pfad lautet üblicherweise:

%User%\Dokumente\FixFoto\Script\WPScript\IPTC.

Wobei %User% das für Ihr Windows-Konto angelegte Benutzerverzeichnis ist.

Beispiel einer „Replace.ini“:

;Replace.ini

;©2003-2008 Werner Pilwousek

[Default]

ActiveSection=Verwandtschaft

Delimiter=#

ReplaceTags=Headline,Caption/Abstract,Keywords,ObjectName

Action=1

[Verwandtschaft]

wp=Pilwousek Werner

[Freunde]

xh=Hinterhuber Xaver ;Kommentar

sl=Lumpi Stefan

[Beispiele]

Beispiel1="Dies ist ein ""spezieller"" Wert!" ;ergibt Dies ist ein "spezieller" Wert!

Beispiel2="Hier wird ein Semikolon "";"" verbaut!"

Sie können nun verschiedene Bereiche definieren. Hier sind 3 Bereiche definiert: [Default], [Verwandtschaft], [Freunde].

Der [Default]-Bereich ist den Einstellungen vorbehalten. Andere Bereiche für Ihre persönlichen Variablen dürfen Sie nach Belieben definieren.

Erklärungen der Variablen im Bereich [Default]:

ActiveSection:

Aktiver Ersetzungs-Bereich. Nur Variablen in diesem Bereich werden ersetzt. Dieses Feld wird über den Dialog Einstellungen gesetzt.
Beispiel: Aktiver Bereich ð Verwandtschaft
#wp# wird durch „Pilwousek Werner“ ersetzt.
#xh# für „Hinterhuber Xaver“ wird nicht ersetzt.

Delimiter

Kürzelbegrenzer. Voreingestellt ist „#“

ReplaceTags

Hier werden die Felder eingetragen, in denen Ersetzungen vorgenommen werden.

Mögliche IPTC-Tags(Beschreibung siehe Bedienungsgrundlagen ð Datengruppen ):
Byline, BylineTitle, Caption/Abstract, Category, City, CopyrightNotice, Country, Credit, DateCreated, Headline, Keywords, ObjectName, OriginalTransmissionReference, ProvinceState, Source, SpecialInstructions, SupplementalCategory, Urgency, Writer/Editor

Hinweis:

Achten Sie darauf, dass keine Leerzeichen zwischen den Kommas und den Bezeichnungen stehen!

Action

1 = An, 0 = Aus. Wird über Dialog Einstellungen verwaltet

Editierhilfe für Replace.ini

Da das finden der Replace.ini schon ein Abenteuer ist, wurde ab der Version 1.21 eine Hilfe im Dialog Einstellungen ( ð Einstellungen ) dafür eingebaut.

Mit [image] wird folgender Dialog geöffnet:

Der Dialog ist in zwei Gruppen eingeteilt: Bereich und Inhalt

Bereich:

Zu bearbeitender INI-Bereich

Neuen Bereich hinzufügen

Aktiven Bereich löschen

Aktiven Bereich umbenennen

Inhalt:

Kürzel/Schlüssel

Eingabefeld für Variablen/Schlüsselnamen. Erlaubt sind alle Zeichen außer „;“, „=“ und der aktive Kürzelbegrenzer, sowie Zeichen über Code 253. Es findet keine Fehlerprüfung der Eingabe statt!

Liste aller Variablen/Schlüssel des aktiven Bereichs

Kürzel/Schlüssel hinzufügen

Kürzel/Schlüssel löschen

Kürzel/Schlüssel umbenennen

Der Wert darf alle Zeichen enthalten, die für IPTC zugelassen sind. Zeichen mit dem Code 254 oder 255 dürfen nicht verwendet werden. Diese werden benützt, um CR und LF, also Zeilenumbruch und -vorschub korrekt abspeichern zu können. Dies kann man für mehrzeilige Felder verwenden. Ideal auch, wenn mehrere Schlagwörter oder ein ganzer Satz von Schlüsselwörtern für ein Kürzel definiert werden, der immer kombiniert auftritt.

Wird eine mehrzeilige Ersetzung in ein Feld kopiert, das nur eine Zeile versteht, so werden CR und LF gelöscht. Daraus resultierende Satzfehler hat jeder selbst zu prüfen.


Variablen

Variablen werden zwischen zwei Prozent-Zeichen eingeschlossen. Sie beziehen sich ausschließlich auf in der Bilddatei enthaltenen IPTC-Daten. Z. B.: „%*% Ergänzung“ ergänzt das physikalisch auf dem Datenträger gespeicherte Feld, welches nicht unbedingt mit der Dialoganzeige übereinstimmt. Die Platzhalter dürfen an einem beliebigen Platz des Feldes stehen. Für Schlüsselwörter oder Kategorien sollte eine eigene Zeile reserviert werden.

Hinweis:

Platzhalter sollten erst nach ausgiebiger Übung auf seine wichtigen Datenbestände angewendet werden.

%*% | Kompletter Feldinhalt
%*p% | Feldinhalt von Position „p“. Das 1. Zeichen ist die Position 0 Beispiel: Feldinhalt = „Objekt steht leer“ Feldtext = Haus%*7% Ergebnis = Haus steht leer
%*p,l% | Feldinhalt von Position „p“ der Länge „l“ Beispiel: Feldinhalt = „Objekt steht leer“ Feldtext = %*0,7%wurde entfernt Ergebnis = Objekt wurde entfernt
%prozent% | Das Zeichen %
%percent% | Das Zeichen %
%ffmaj% | FixFoto-Hauptversion
%ffmin% | FixFoto-Unterversion
%ffbuild% | FixFoto-Build
%version% | WPIPTC-Version (1.21)
%file% | Kompletter Dateipfad
%filename% | Dateiname
%software% | Exif: Software
%artist% | Exif: Artist
%datetimeoriginal% | Exif: DateTimeOriginal (Langes Datumsformat)
%date% | Exif: DateTimeOriginal (Kurzes Datumsformat)
%time% | Exif: DateTimeOriginal (IPTC Zeitformat) Der automatisch berechnete Zeitversatz wird abhängig von der Computerzeitzone und Datum berechnet Beispiel: 12:00:00 +01:00
%copyright1% | Exif: Copyright1
%copyright2% | Exif: Copyright2
%imagedescription% | Exif: ImageDescription
%ye% | Exif: DateTimeOriginal->Jahr (4-stellig)
%ye2% | Exif: DateTimeOriginal->Jahr (2-stellig)
%mo% | Exif: DateTimeOriginal->Monat (2-stellig)
%da% | Exif: DateTimeOriginal->Tag (2-stellig)
%nmo% | Exif: DateTimeOriginal->Monat (Name Monat)
%nda% | Exif: DateTimeOriginal->Tag (Name Wochentag)
%we% | Exif: DateTimeOriginal->Kw (Kalenderwoche seit Jahrbeginn)
%y% | Exif: DateTimeOriginal->Tag (Tag seit Jahresbeginn)
%q% | Exif: DateTimeOriginal->Quartal (Quartal seit Jahresbeginn)

Hinweis: | Variablen können im Satzspeicher abgelegt und gespeichert werden. Natürlich müssen alle verwendeten Felder aktiviert sein!
Tipp: | Für Standardeinträge braucht man nur noch einen Eintrag für verschiedene Jahre anlegen, wenn statt der Jahreszahl einfach %ye% verwendet wird.
Tipp: | Schnelles Eintragen vom IPTC-Datum mit %date%
Tipp: | Schnelles Eintragen von IPTC-Zeit mit %time%
Tipp: | Viele Standardeinträge können mit MKCanon mit WPIPTC Pro-Lizenz bereits vollautomatisch eingetragen werden. Beachten Sie dabei den IPTC-Bereich von „MKCanon konfigurieren“.


Kürzel

Kürzel erstellen

Die Kürzel werden in der Datei „Replace.ini“ ( ð Manuelle Einstellungen (Replace.ini) und ð Editierhilfe für Replace.ini ) definiert.

Dazu muss in der Replace.ini mindestens ein Bereich definiert werden. Sagen wir mal [Verwandtschaft].

In dem Bereich können Sie nun Kürzel definieren. Dafür sind ein paar Regeln notwendig:

Ein Kürzel darf folgende Zeichen nicht enthalten: „=“, „"“, „;“ und das Zeichen für den Begrenzer, per Vordefinition: „#“.

Wird der Wert manuell erstellt, wird im unmittelbaren Anschluss an das Gleichheitszeichen geschrieben, also ohne Leerzeichen, und darf alle Zeichen enthalten, außer CR (Carriage Return, Wagenrücklauf), LF (Line Feed, Zeilenvorschub) oder einer Kombination derselben.

Kommen im Text doppelte Anführungszeichen „"“ oder Semikolon „;“ vor, so muss der Wert in doppelte Anführungszeichen gesetzt werden. Enthaltene doppelte Anführungszeichen müssen „gedoppelt werden.

Ein Beispiel ist in ð Manuelle Einstellungen (Replace.ini) als Kürzel „Beispiel1“ definiert. Mit der Editierhilfe ð Editierhilfe für Replace.ini ist das nicht nötig. Damit kann normal lesbarer Text geschrieben werden.

IPTC-Felder für Kürzel aktivieren

Die Felder werden über den Dialog ð Einstellungen aktiviert. Dies gilt für beide Arten von variablen Inhalten: Kürzel und Variablen.

Begriffe:

Felder mit aktiver Variablenverwaltung: | Schrift wird als Systemschrift angezeigt
Verfügbare Felder: | Felder, die keine Ersetzungen vornehmen
Aktive Felder: | Felder, die Erstetzungen vornehmen können.
 | Markiertes verfügbares Feld in aktiviertes Feld überführen
 | Markiertes aktives Feld deaktivieren

Kürzel verwenden

Kürzel werden mit der in Replace.ini definierten Begrenzungszeichen eingeschlossen. Vordefiniert ist das Nummernzeichen: „#“

Da Kürzel in verschiedenen Bereichen abgelegt sein können, achten Sie darauf, dass der richtige Bereich aktiv ist. Den Bereich können Sie unter Einstellungen aktivieren, oder ab Version 1.21 direkt im Hauptfenster [image] :

Beispiel: (Definiert ist im INI-Bereich Wasser: wa=Wasser)

Vor dem Speichern: | Nach dem Speichern:

Die Ersetzung erfolgt beim Schreibvorgang des Bildes (explizit oder implizit) bzw. beim Weiterschalten. Somit können Kürzel auch in Satzspeicher verwendet werden. Wird ein Kürzel nicht gefunden, so erfolgt eine Fehlermeldung und Sie können entscheiden, wie weiter verfahren wird.

Hinweis:

Wie im Beispiel zu erkennen ist, werden Felder, die für Kürzel frei geschaltet sind, durch fette Schrift gekennzeichnet, sofern „Felder mit aktiver Variablenverarbeitung markieren“ aktiviert ist.


WPIPTCSearch

WPIPTCSearch ist Bestandteild der WPIPTC-Pro-Lizenz und ist ursprünglich als Auftrag entstanden. Sie kann, im Gegensatz zur internen Suche der markierten Bilder von WPIPTC über Verzeichnisse hinweg auch andere Felder von IPTC/NAA durchsuchen. Der konzeptionelle Aufbau entspricht dabei der Arbietsweise von WPIPTC. Beachten Sie dabei im Kapitel Bedienungs-Grundlagen: ð Wiederkehrende Daten zur erneuten Verwendung speichern .

Die allgemeine Handhabung wird in den folgenden Kapiteln erklärt.


Bild-Auswahl

Die Suche wird bereits mit der Auswahl der Dateikriterien eingegrenzt:

Suchorte:

Anzeigeinformation: Pfad, Bilderliste etc.

Auswahl im Computerverzeichnis.

Hinweis:

Wird WPIPTCSearch aus dem Kontextmenü der aktiven Bilderliste gestartet, enthält es die markierten Bilder aus der Bilderliste.

Alle Bilder des aktiven Computerverzeichnisses

Aktuelle Bilderliste: Sind Bilder darin markiert, werden die markierten Bilder durchsucht, sonst alle Bilder der Bilderliste

Wählt ein Verzeichnis per Dialog aus:

Über Dialog kann eine Bilderliste ausgewählt, erstellt und/oder gelöscht werden.

Eingrenzen der Suche:

Bei "Computerverzeichnis" oder "Beliebiges Verzeichnis" werden auch alle Unterverzeichnisse durchsucht.

Die Dateinamen können eingegrenzt werden. Dabei sind die bekannten Wildcard "*" und "?" erlaubt:

* = Beliebige Zeichen beliebiger Anzahl

? = Beliebiges Zeichen bei einmaligem Vorkommen.

Wildcards können beliebig oft vorkommen.

Mehrere Definitionen werden per Semikolon ";" getrennt.

Häufige Definitionen können zentral gespeichert werden.

Ausschlusspfade sind relative Pfadnamen, die bei der rekursiven Durchsuchungen komplett ausgeschlossen werden. Pfadtrennzeichen sind nicht erlaubt. Mehrere Pfade werden durch per Semikolon ";" getrennt.

Hinweis: | Der Abbruch erfolgt mit dem Erreichen eines der angegebenen Verzeichnisse. Somit können keine tieferliegenden Verzeichnisebenen inkl. der angegebenen Verzeichnisse erreicht werden!
Tipp: | Aussschlusspfade sind sehr hilfreich, wenn z. B. Original-Bilder im Verzeichnis unterhalb der eigentlichen Bilder liegen und sowieso keine IPTC-Daten enthalten.
Tipp: | Sinnvoll auch um ganze Verzeichnisarme aus der Suche zu nehmen, die nicht durchsucht werden sollen.


Suchkriterien

Allgemeine IPTC-Suche:

Die allgemeine Suche geht über alle IPTC-Felder und kann separat ein und ausgeschaltet werden:

Eingabezeile:
 | Sucheingabe
 | Übername in die Liste
 | Markierten Listeneintrag löschen
 | Feldtyp: Dieser muss vor der Übernahme der Sucheingabe in die Liste gesetzt werden
 | Anzeige der übernommenen Einträge in der Formatierung: Feldtyp: Sucheintrag Der zuletzt eingetragene Wert wird automatisch markiert.
 | Alle Einträge werden automatisch im Sucharchiv gespeichert.
 | Häufig benötigte Einträge können hier eingetragen werden
 | Komplette SuchSets, also die komplette Listbox wird hier gespeichert. Dazu muss ein aussagekräftiger Name eingetragen werden:
 | Werte werden logisch ODER verknüpft, d. h. es muss nur ein Wert erfüllt sein, um in die Suchliste eingetragen zu werden.
 | Werte werden logisch UND verknüpft, d. h. ALLE Werte müssen zutreffend sein.

Schlagwort-Suche:

Die Schlagwörter-Suche geht nur über die Keywords-Felder und kann separat ein und ausgeschaltet werden:

Eingabezeile:
 | Sucheingabe
 | Übernahme in die Liste
 | Markierten Listeneintrag löschen
 | Anzeige der zu suchenden Schlagwörter. Der zuletzt eingetragene Wert wird automatisch markiert.
 | Alle Einträge werden automatisch im Schlagwortarchiv gespeichert
 | Häufig benötigte Einträge können hier eingetragen werden
 | Komplette SuchSets, also die komplette Listbox wird hier gespeichert. Dazu muss ein aussagekräftiger Name eingetragen werden:
 | Suchparameter: Textsuche. Es wird nach Textteilen unabhängig von Groß- und Kleinschreibung gesucht. Beispiel: Suchwort "Spiel" findet "Spiel", "Spiele", Beispiel"
 | Findet exakt das Wort in der Schreibweise, wie eingegeben, also auch bei Groß- und Kleinschreibung.
 | Werte werden logisch UND verknüpft, d. h. ALLE Werte müssen zutreffend sein.
 | Werte werden logisch ODER verknüpft, d. h. es muss nur ein Wert erfüllt sein, um in die Suchliste eingetragen zu werden.

Hinweis:

Sind beide Kriterien, die allgemeine IPTC-Suche und die Schlagwort-Suche aktiviert, werden sie auf verschiedene Weise miteinander verknüpft: ð Einstellungen


Einstellungen

Derzeit gibt es nur eine Einstellung:

Verknüpfung Hauptkriterien:

Die Hauptkriterien werden boolisch verknüpft. Wenn eine der Hauptkritierien zutrifft, wird das Bild übernommen.

Beide Hauptkriterien zutreffen, damit das Bild in die Suchliste übernommen wird.


Ausgabe

Das Suchergebnis kann auf verschiedene Art ausgegeben werden.

Das Suchergebnis wird in eine beliebige Bilderliste ausgegeben, die über folgenden Dialog ausgewählt wird:

Dabei kann eine Bilderliste ausgewählt oder neu erstellt werden.

Das Suchergebnis wird zur Bearbeitung an WPIPTC übergeben.


Begriffe

IIM

Das „Information Interchange Model“ dient zum einheitlichen Austausch von Informationen. Als ein Standard hierzu wurde IPTC-NAA definiert.

IPTC-NAA

Der IPTC-NAA Standard, der derzeit in der Version 4 vorliegt, wurde vom „International Press Telecommunications Council“ in Verbindung mit „Newspaper Association of America“ 1990 aus der Taufe gehoben.

WPIPTC unterstützt den Teil des Standards, der von FixFoto® verwendet wird, für TIFF- und JPEG-Bilder.

Exif

... (Exchangeable Image File Format) wurde als einheitliche Datenplattform auf Basis der Tiff-Struktur von JEITA (Japan Electronics and Information Technology Industries Association) für Bild- und Kamerainformationen ins Leben gerufen.


Garantie- und Haftungsausschluss

Es wird garantiert, dass vorsätzlich kein Schaden zugefügt wird. Bei der Programmierung wurde sorgfältig darauf geachtet, fremdes Eigentum (Bilder etc.) nicht zu zerstören. Unvorhersehbare oder falsche Anwendung, Eingriffe in die Software durch die Abhängigkeit Dritter (Hardware, Betriebssystem, Laufzeitumgebung, Manipulation etc.) werden generell von der Haftung ausgeschlossen.

Hiermit werden Sie darauf hingewiesen, dass es derzeit nicht möglich ist, Software so zu entwickeln, dass sie für alle Anwendungsbedingungen fehlerfrei ist. Es kann nicht garantiert werden, dass sie für einen bestimmten Anwendungsfall oder eine bestimmte Konfiguration geeignet ist. Dafür haben Sie die Gelegenheit, die Software kostenlos zu testen.

Es wird keinerlei Haftung oder Gewährleistung übernommen für Fehler in der Software, sowie Fehler und Schäden, die sich aus der Nutzung oder Unfähigkeit zur Nutzung der Software ergeben. Dies schließt den Verlust von Geschäftsgewinnen, die Unterbrechung der geschäftlichen Abläufe, den Verlust von Daten sowie alle übrigen materiellen und ideellen Verluste und deren Folgeschäden ein und gilt selbst dann, wenn der Autor zuvor ausdrücklich auf die Möglichkeit derartiger Schäden hingewiesen worden ist. Der Autor ist ebenfalls nicht haftbar für durch Viren, Würmern, Trojaner oder sonstige Computerschädlinge, die sich über die Software weiterverbreiten, entstandene Schäden gleich welcher Art.

Generell gilt für WPIPTC: Benutzung auf eigene Gefahr! Für evtl. Fahrlässigkeit, auch für leichte Fahrlässigkeit und eventuelle Folgeschäden wird jegliche Haftung ausgeschlossen.

Für WPIPTC Pro gilt: Sollte die Rechtslage einen generellen Ausschluss von Haftungsansprüchen für nichtig erklären, so ist eine einmalige Haftung mit eventuellen Folgeschäden inkl. Nebenkosten bei nachgewiesener schwerer Fahrlässigkeit auf eine Höhe, die den Kaufpreis einer Einzelplatzlizenz von WPIPTC Pro nicht übersteigen darf, begrenzt, soweit das Entgelt geleistet wurde. Evtl. sonstige Fahrlässigkeit im Programmier- und Geschäftsgebahren ist von der Haftung generell ausgeschlossen.


Lizenzbestimmungen

Sie erhalten die Lizenz ausschließlich zum legalen Verwenden von WPIPTC, WPIPTC Pro und Zubehör (künftig Software genannt) in Verbindung mit FixFoto. Jegliche andere Benutzung der Software, Teile davon, Rückentwicklung oder rechtswidriges Einsetzen kann zum Entzug der Lizenz führen.

Sie erhalten das Recht, die kostenlose WPIPTC-Version in Verbindung mit einem registrierten FixFoto® zu verwenden, sofern es obigen Absatz nicht widerspricht.

Sofern Sie eine WPIPTC-Pro-Lizenz erworben haben, haben Sie innerhalb des Nutzungszeitraum das Recht, die Pro-Funktionen zusätzlich zu verwenden. Während das Paket, ohne Hinzufügung oder Entfernung von Bestandteilen, weiter gegeben werden darf, so ist die Ihnen zugekommene Pro-Lizenz nicht übertragbar!

Sie erklären mit der Nutzung der Software Ihr Einverständnis mit allen Nutzungsbedingungen sowie dem Haftungsausschluss ( ð Garantie- und Haftungsausschluss ). Sollten einzelne Bestimmungen dieser Bedingungen nichtig, unwirksam oder anfechtbar sein oder zukünftig werden, so wird die Wirksamkeit aller sonstigen Bestimmungen oder Vereinbarungen nicht berührt. Ein Berufung auf garantierte, zugesicherte Eigenschaften kann nicht gewährt werden.


Copyright

Das Programm und die Dokumentation sind geistiges Eigentum von Werner Pilwousek Software.

Copyright ©2005-2008 Werner Pilwousek, ©2008-2010 Werner Pilwousek Software

Alle Rechte vorbehalten.


Warenzeichen

  • Microsoft®, Windows®, Vista™ sind eingetragene Warenzeichen der Microsoft Corporation
  • Macintosh ist ein Warenzeichen der Apple Computer Inc.
  • FixFoto® ist ein eingetragenes Warenzeichen von Joachim Koopmann Software
  • Alle weiteren Firmen- und Produkteigennamen sind eingetragene Warenzeichen/Handelsmarken der jeweiligen Rechteinhaber


Impressum

Kontakt:

Werner Pilwousek
Gutenbergstraße 3
85646 Anzing

Telefon: 08121 3226
eMail: software@pilwousek.de

Alle Rechte vorbehalten.


Danksagung

Herzlichen Dank an Joachim Koopmann für sein hervorragendes Programm, ohne das Tools wie dieses schlicht nicht möglich geworden wären und an Michael Sonntag für seine perfekte und selbstlose Arbeit beim Erstellen der HTML-Hilfe für die alte WPIPTC-Standard-Version. Nicht zu vergessen die Teilnehmer des FixFoto ® Support Forum s, die mich zu diesem Skript inspirierten, Anregungen vorschlugen und fleißig testeten. Hervorzuheben Manfred R. und Roland S.

Anzing, 18.09.2005, Ergänzung 18.11.2008, Übertragen vom Benutzerhandbuch in Hilfe: 08.08.2008, W.P. alias Werner Pilwousek